Index: trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_slide_slice.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_slide_slice.pro	(revision 148)
+++ trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_slide_slice.pro	(revision 150)
@@ -109,4 +109,65 @@
 end
 ;--------------------------------------------------------------------------------
+;+
+; @file_comments
+;
+;
+; @categories
+;
+; @param PARENT {in}{required}
+; The widget ID of the parent widget.
+;
+; @keyword BOXZOOM
+; Vector indicating the geographic zone on which we want to cut the map. 
+; If BOXZOOM has : 
+;   1 element : The extraction is made on [lon1, lon2, lat1, lat2, 0.,boxzoom[0]]
+;   2 elements: The extraction is made on [lon1, lon2, lat1, lat2, boxzoom[0],boxzoom[1]]
+;   4 elements: The extraction is made on [Boxzoom, 0, max([gdept, gdepw])]
+;   5 elements: The extraction is made on [Boxzoom[0:3], 0, Boxzoom[4]]
+;   6 elements: The extraction is made on Boxzoom 
+; Where lon1, lon2,lat1,lat2 are global variables defined at the last domdef!
+;
+; @keyword COLUMN
+; Buttons will be arranged in the number of columns
+; specified by this keyword.
+; 
+; @keyword FRAME
+; Specifies the width of the frame to be drawn around the base.
+; 
+; @keyword ROW
+; Buttons will be arranged in the number of rows
+; specified by this keyword.
+; 
+; @keyword UVALUE
+; The user value to be associated with the widget.
+; 
+; @keyword UNAME
+; The user name to be associated with the widget.
+; 
+; @keyword _EXTRA
+; Used to pass your keywords
+; 
+; @returns
+; 
+; 
+; @uses
+; 
+; 
+; @restrictions
+; 
+; 
+; @examples
+; 
+; 
+; @history
+; 
+; 
+; @version 
+; $Id$
+; 
+; @todo
+; seb: documenter
+;
+;-
 FUNCTION cw_slide_slice, parent, boxzoom = boxzoom, UVALUE = uvalue, UNAME = uname, FRAME = frame, ROW = row, COLUMN = column, _extra = ex
 ;
Index: trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_slider_pm.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_slider_pm.pro	(revision 148)
+++ trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_slider_pm.pro	(revision 150)
@@ -1,91 +1,2 @@
-;------------------------------------------------------------
-;------------------------------------------------------------
-;------------------------------------------------------------
-;+
-; NAME: cw_slider_pm
-;
-; PURPOSE: widget equivalent a WIDGET_SLIDER sauf qu'en plus on
-; dispose de 2 bouttons + et - pour deplacer le widget de +/- 1.
-;
-; CATEGORY: compound widget (aide a l''ecriture des widgets)
-;
-; CALLING SEQUENCE: id=cw_slider_pm(parent)
-; 
-; INPUTS:
-;         Parent: The widget ID of the parent widget.
-;
-; KEYWORD PARAMETERS:tous ceux de WIDGET_SLIDER
-;
-; OUTPUTS:
-;         The returned value of this function is the widget ID of the
-;         newly-created animation widget.
-;
-; COMMON BLOCKS: none
-;
-; SIDE EFFECTS: 
-;
-;  Widget Events Returned by the CW_SLIDER_PM Widget
-;
-;  Slider widgets generate events when the mouse is used to change
-;  their value. The event structure returned by the WIDGET_EVENT
-;  function is defined by the following statement:
-;
-;  {CW_SLIDER_PM, ID:0L, TOP:0L, HANDLER:0L, VALUE:0L, DRAG:0, OUT:0}
-;
-;  ID is the widget ID of the button generating the event. TOP is the
-;  widget ID of the top level widget containing ID.
-;  HANDLER contains the widget ID of the widget associated with the
-;  handler routine.
-;  VALUE returns the new value of the slider.
-;  DRAG returns integer 1 if the slider event was generated as part of
-;  a drag operation, or zero if the event was generated when the user
-;  had finished positioning the slider. Note that the slider widget
-;  only generates events during the drag operation if the DRAG keyword
-;  is set, and if the application is running under Motif. When the
-;  DRAG keyword is set, the DRAG field can be used to avoid
-;  computationally expensive operations until the user releases the
-;  slider.
-;  OUT:c''est un entier qui peut prendre 3 valeurs:
-;      1 : si on appuie sur + alors que le slider est deja aux max. rq:
-;      ds ce cas le slider reste au max
-;      -1: si on appuie sur - alors que le slider est deja aux min. rq:
-;      ds ce cas le slider reste au min
-;      0 : ds les autres cas!
-;
-;   Keywords to WIDGET_CONTROL
-;
-;   A number of keywords to the WIDGET_CONTROL procedure affect the
-;   behavior of cw_slider_pm widget: GET_VALUE and SET_VALUE.
-;       1) GET_VALUE
-;   widget_control,wid_id,get_value=resultat
-;   retourne ds la variable resultat une structure de 2 elements dont
-;   les noms sont inspires des mots cles que l''on peut passer a
-;   widget_control qd on utilise WIDGET_SLIDER:
-;            VALUE:the value setting of the widget
-;            SLIDER_MIN_MAX: a 2 elements array: The minimum and the
-;            maximum value of the range encompassed by the slider
-;       2) SET_VALUE
-;   widget_control,wid_id,set_value=impose
-;   permet de modifier l''etat de la slider bar comme on peut le faire
-;   pour WIDGET_SLIDER. Impose peut etre:
-;       a) un entier: donne la nouvelle  position of the slider.
-;       b) une structure qui peut avoir comme elements (de 1 a 3):
-;            VALUE:un entier qui donne la nouvelle  position of the slider.
-;            SLIDER_MIN:Set to a new minimum value for the specified
-;            slider widget.
-;            SLIDER_MAX:Set to a new minimum value for the specified
-;            slider widget.
-;
-; RESTRICTIONS:
-;
-; EXAMPLE: cf utiliser le programme founit i-dessous: testwid et la
-; procedure associee, testwid_event.
-;
-; MODIFICATION HISTORY:Sebastien Masson (smasson@lodyc.jussieu.fr)
-;                      5/9/1999
-;-
-;------------------------------------------------------------
-;------------------------------------------------------------
-;------------------------------------------------------------
 ; PRO testwid_event, event
 ; ;   help, event, /STRUCT
@@ -249,4 +160,115 @@
 end
 ;----------------------------------------------------------------------
+;------------------------------------------------------------
+;------------------------------------------------------------
+;------------------------------------------------------------
+;+
+;
+; @file_comments
+; Like WIDGET_SLIDER but here, their are 2 buttons + and - to move the widget from +/- 1
+;
+; @categories
+; compound widget
+; 
+; @param PARENT {in}{required}
+; The widget ID of the parent widget.
+;
+; @keyword UVALUE
+; The user value to be associated with the widget.
+; 
+; @keyword UNAME
+; The user name to be associated with the widget.
+; 
+; @keyword VALUE
+;
+;
+; @keyword MAXIMUM
+; 
+; 
+; @keyword MINIMUM
+;
+; 
+; @keyword STRMINLEN
+;
+;
+; @keyword _EXTRA
+; Used to pass your keywords
+;
+; @returns
+; The returned value of this function is the widget ID of the
+; newly-created animation widget.
+;
+; @restrictions
+;
+;  Widget Events Returned by the CW_SLIDER_PM Widget
+;
+;  Slider widgets generate events when the mouse is used to change
+;  their value. The event structure returned by the WIDGET_EVENT
+;  function is defined by the following statement:
+;
+;  {CW_SLIDER_PM, ID:0L, TOP:0L, HANDLER:0L, VALUE:0L, DRAG:0, OUT:0}
+;
+;  ID is the widget ID of the button generating the event. TOP is the
+;  widget ID of the top level widget containing ID.
+;  HANDLER contains the widget ID of the widget associated with the
+;  handler routine.
+;  VALUE returns the new value of the slider.
+;  DRAG returns integer 1 if the slider event was generated as part of
+;  a drag operation, or zero if the event was generated when the user
+;  had finished positioning the slider. Note that the slider widget
+;  only generates events during the drag operation if the DRAG keyword
+;  is set, and if the application is running under Motif. When the
+;  DRAG keyword is set, the DRAG field can be used to avoid
+;  computationally expensive operations until the user releases the
+;  slider.
+;  OUT:It is an integer which can take 3 values: 
+;       1 : If we press + when the index is already at the max
+;       Comment: In this case, the index stay at the max
+;       -1: If we press - when the index is already at the min
+;       Comment: In this case, the index stay at the min
+;       0 : In other cases
+;
+;   Keywords to WIDGET_CONTROL
+;
+;   A number of keywords to the WIDGET_CONTROL procedure affect the
+;   behavior of cw_slider_pm widget: GET_VALUE and SET_VALUE.
+;       1) GET_VALUE
+;   widget_control,wid_id,get_value=resultat
+;   retourne ds la variable resultat une structure de 2 elements dont
+;   les noms sont inspires des mots cles que l''on peut passer a
+;   widget_control qd on utilise WIDGET_SLIDER:
+;            VALUE:the value setting of the widget
+;            SLIDER_MIN_MAX: a 2 elements array: The minimum and the
+;            maximum value of the range encompassed by the slider
+;       2) SET_VALUE
+;   widget_control,wid_id,set_value=impose
+;   Allows to modify the state of the combobox like we can do it for 
+;   WIDGET_COMBOBOX. May impose: 
+;       a) un entier: donne la nouvelle  position of the slider.
+;       b) A structure which can have for elements (from 1 to 3): 
+;            VALUE: an integer which give the new position of the slider
+;            SLIDER_MIN:Set to a new minimum value for the specified
+;            slider widget.
+;            SLIDER_MAX:Set to a new minimum value for the specified
+;            slider widget.
+;
+;
+; @examples
+; See the program provided above (testwid and the associated procedure, testwid_event).
+;
+; @history
+; Sebastien Masson (smasson@lodyc.jussieu.fr)
+;                      5/9/1999
+;
+; @version
+; $Id$
+;
+; @todo
+; seb: documenter
+;
+;-
+;------------------------------------------------------------
+;------------------------------------------------------------
+;------------------------------------------------------------
 FUNCTION cw_slider_pm, parent, MAXIMUM = maximum, MINIMUM = minimum $
                        , STRMINLEN = strminlen, VALUE = value, UVALUE = uvalue $
Index: trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_specifie.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_specifie.pro	(revision 148)
+++ trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_specifie.pro	(revision 150)
@@ -72,6 +72,5 @@
     'default':BEGIN 
 ;---------------
-; on trouve le nom de la variable:
-;---------------
+; We find the name of the variable: 
       vlstid = widget_info(event.top, find_by_uname = 'varlist')
       fieldname = widget_info(vlstid, /combobox_gettext)
@@ -94,4 +93,60 @@
 ;*****************************************************
 ;*****************************************************
+;+
+; @file_comments
+;
+;
+; @categories
+;
+; 
+; @param PARENT {in}{required}
+; The widget ID of the parent widget.
+;
+; @keyword COLUMN
+; Buttons will be arranged in the number of columns
+; specified by this keyword.
+; 
+; @keyword ROW
+; Buttons will be arranged in the number of rows
+; specified by this keyword.
+; 
+; @keyword UVALUE
+; The user value to be associated with the widget.
+; 
+; @keyword UNAME
+; The user name to be associated with the widget.
+;
+; @keyword FRAME
+;
+;
+; @keyword FORXXX
+;
+; 
+; @keyword _EXTRA
+; Used to pass your keywords
+;
+; 
+; @returns
+; 
+; 
+; @uses
+; 
+; 
+; @restrictions
+; 
+; 
+; @examples
+; 
+; 
+; @history
+; 
+; 
+; @version 
+; $ID$
+;
+; @todo
+; seb: documenter
+; 
+;-
 FUNCTION cw_specifie, parent, ROW = row, COLUMN = column, UVALUE = uvalue, UNAME = uname, FRAME = frame, FORXXX = forxxx, _extra = ex
 ; cheking exclusive keywords
@@ -135,6 +190,6 @@
 
 
-; widget text contennant les autres mots cles passe ds top_uvalue.exextra
-; en reste-t-il? si oui, il faut les mettres sous forme de string
+; widget text containig other keywords pass into top_uvalue.exextra
+; Does it remain some? If yes, we have to put them as string
    
    rien = widget_text(base, value = '  ', /editable, uname = 'autres', uvalue = 'autres', xsize = 54, ysize = 3, yoffset = 65, /wrap, /no_newline)
Index: trunk/SRC/ToBeReviewed/WIDGET/findtopid.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/findtopid.pro	(revision 148)
+++ trunk/SRC/ToBeReviewed/WIDGET/findtopid.pro	(revision 150)
@@ -3,39 +3,35 @@
 ;------------------------------------------------------------
 ;+
-; NAME: findtopid
 ;
-; PURPOSE: retrouve a partir d''un Id de widget l'Id du widget qui est
+; @file_comments
+; Find, from an Id of widget, the Id of the widget which is 
 ; "the top-level base" (i.e., it has no parent)
 ;
-; CATEGORY: aide pour les widgets
-;
-; CALLING SEQUENCE: res=findtopid(Widget_ID)
+; categories
+; widget
 ; 
-; INPUTS: Widget_ID: this argument should be the widget ID of the
+; @param WIDGET_ID
+; This argument should be the widget ID of the
 ; widget for which information is desired.
 ;
-; KEYWORD PARAMETERS:
+; @returns
+; The Id of the widget which is "the top-level base"
 ;
-; OUTPUTS: l'Id du widget qui est "the top-level base"
+; @history
+; Sebastien Masson (smasson@lodyc.jussieu.fr)
+;                      22/9/1999
 ;
-; COMMON BLOCKS:
+; @version
+; $Id$
 ;
-; SIDE EFFECTS: 
-;
-; RESTRICTIONS:
-;
-; EXAMPLE:
-;
-; MODIFICATION HISTORY:Sebastien Masson (smasson@lodyc.jussieu.fr)
-;                      22/9/1999
 ;-
 ;------------------------------------------------------------
 ;------------------------------------------------------------
 ;------------------------------------------------------------
-FUNCTION findtopid,  identite
+FUNCTION findtopid,  WIDGET_ID
 ;
   compile_opt idl2, strictarrsubs
 ;
-   id = long(identite)
+   id = long(WIDGET_ID)
 ;    exist = widget_info(id, /managed)
 ;    if exist EQ 0 then return,  -1
Index: trunk/SRC/ToBeReviewed/WIDGET/slec.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/slec.pro	(revision 148)
+++ trunk/SRC/ToBeReviewed/WIDGET/slec.pro	(revision 150)
@@ -1,2 +1,60 @@
+;+
+; @file_comments
+;
+;
+; @categories
+;
+; 
+; @param NAME
+;
+;
+; @param DEBUT
+;
+;
+; @param FIN
+;
+;
+; @param NOMEXP
+;
+; 
+; @keyword PARENT {in}{required}
+; The widget ID of the parent widget.
+;
+; @keyword BOXZOOM
+; Vector indicating the geographic zone on which we want to cut the map. 
+; If BOXZOOM has : 
+;   1 element : The extraction is made on [lon1, lon2, lat1, lat2, 0.,boxzoom[0]]
+;   2 elements: The extraction is made on [lon1, lon2, lat1, lat2, boxzoom[0],boxzoom[1]]
+;   4 elements: The extraction is made on [Boxzoom, 0, max([gdept, gdepw])]
+;   5 elements: The extraction is made on [Boxzoom[0:3], 0, Boxzoom[4]]
+;   6 elements: The extraction is made on Boxzoom 
+; Where lon1, lon2,lat1,lat2 are global variables defined at the last domdef!
+;
+; @keyword _EXTRA
+; Used to pass your keywords
+; 
+; 
+; @returns
+; 
+; 
+; @uses
+; 
+; 
+; @restrictions
+; 
+; 
+; @examples
+; 
+; 
+; @history
+; 
+; 
+; @version 
+; $Id$
+;
+; @todo
+; Seb: documenter
+;
+;-
 FUNCTION slec,name,debut,fin, nomexp, PARENT = parent, BOXZOOM=boxzoom, _EXTRA = ex
 ;---------------------------------------------------------
Index: trunk/SRC/ToBeReviewed/WIDGET/xnotice.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/xnotice.pro	(revision 148)
+++ trunk/SRC/ToBeReviewed/WIDGET/xnotice.pro	(revision 150)
@@ -3,35 +3,38 @@
 ;------------------------------------------------------------
 ;+
-; NAME:xnotice
 ;
-; PURPOSE:cree un widget avec du texte au milieu de la fenetre.
+; @file_comments
+; Create a widget with some text at the middle of the window
 ;
-; CATEGORY:information
+; @categories
+; Information
+; 
+; @param TEXT {in}{required}
+; it is a string or a vector of string. If it is a scalar, we 
+; look for the line separator !C to create a text with several lines.
 ;
-; CALLING SEQUENCE:widgetid=xnotice(text)
-; 
-; INPUTS:text: un string ou un vecteur de string. Si c''est un
-; scalaire on cherche le separateur de ligne !C pour creer un texte a
-; plusieurs lignes.
+; @keyword CHKWIDGET
+; Force to verify that they are some active widget to create a widget, 
+; otherwise print at the prompt
 ;
-; KEYWORD PARAMETERS:chkwidget: oblige a verifier qu''il y a des
-; widgets actif pour creer un widget, sinon imprime au prompt
+; @returns
+; The identity of the created widget
 ;
-; OUTPUTS:lidentite du widget cree
-;
-; COMMON BLOCKS
-;
-; SIDE EFFECTS:ne fait pas appelle a xmanager -> ne cree aucun event!
-; il faut detruire ce widget a la main:
+; @restrictions 
+; It do not call xmanager -> It do not create any event! 
+; We have to delete this widget manuelly:
 ; widget_control, widgetid, /destroy
 ;
-; RESTRICTIONS:
-;
-; EXAMPLE:
+; @examples
 ;    IDL> id=xnotice('ca marche !C ou pas?')
 ;    IDL> widget_control, id, /destroy
 ;
-; MODIFICATION HISTORY:Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @history
+; Sebastien Masson (smasson@lodyc.jussieu.fr)
 ;                      2000 3 17
+;
+; @version
+; $Id$
+;
 ;-
 ;------------------------------------------------------------
@@ -40,5 +43,5 @@
 FUNCTION xnotice, text, CHKWIDGET = chkwidget
 ;
-; on separe le text en differentes lignes (separees par !C) si ce
+; We separate the text in different lines (separated by !C) if it is not done yet...
 ; n''est pas deja fait...
 ;
Index: trunk/SRC/ToBeReviewed/WIDGET/xquestion.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/xquestion.pro	(revision 148)
+++ trunk/SRC/ToBeReviewed/WIDGET/xquestion.pro	(revision 150)
@@ -1,55 +1,2 @@
-;------------------------------------------------------------
-;------------------------------------------------------------
-;------------------------------------------------------------
-;+
-; NAME:xquestion
-;
-; PURPOSE: a small widget who ask a question and give an answer.
-;          WARNING: For a binary question with yes/no answer use
-;                   DIALOG_MESSAGE.
-;
-; CATEGORY: widget
-;
-; CALLING SEQUENCE: answer = xquestion(question[,proposedanswer])
-; 
-; INPUTS:
-;        question: a scalar string or a array of string. If this
-;        argument is set to :
-;          + an array of strings: each array element is
-;            displayed as a separate line of text.
-;          + a scalar string: we are looking for the "separate line
-;          character" '!C'
-;
-;        proposedanswer: a string proposing a answer
-;
-; KEYWORD PARAMETERS: those from WIDGET_BASE and WIDGET_TEXT
-;
-;        /CHKWIDGET: active this keyword if you whant that xquestion
-;        check if managed widget are present. If not, xquestion do not
-;        open a widget but print the question in the IDL window. 
-;
-; OUTPUTS:
-;        answer: a string
-;
-; COMMON BLOCKS:
-;        none (we use a "false widget")
-;
-; SIDE EFFECTS:
-;        The function does not return to its caller until the user
-;        press "Enter" key in the widget.
-;
-; RESTRICTIONS:
-;
-; EXAMPLE:
-;
-;        IDL> help, xquestion('Postscript name')
-;        <Expression>    STRING    = 'toto.ps'
-;
-; MODIFICATION HISTORY:Sebastien Masson (smasson@lodyc.jussieu.fr)
-;                      13/10/1999
-;-
-;------------------------------------------------------------
-;------------------------------------------------------------
-;------------------------------------------------------------
 ;-------------------------------------------------------------------------
 pro xquestion_event, event
@@ -68,4 +15,59 @@
 end
 ;-------------------------------------------------------------------------
+;------------------------------------------------------------
+;------------------------------------------------------------
+;------------------------------------------------------------
+;+
+;
+; @file_comments
+; A small widget who ask a question and give an answer.
+;   WARNING: For a binary question with yes/no answer use
+;   DIALOG_MESSAGE.
+;
+; @categories
+; widget
+;
+; @param QUESTION
+; A scalar string or a array of string. If this
+; argument is set to :
+;      + an array of strings: each array element is
+;        displayed as a separate line of text.
+;      + a scalar string: we are looking for the "separate line
+;        character" '!C'
+;
+; @param PROPOSEDANSWER
+; A string proposing a answer
+;
+;
+; @keyword CHKWIDGET
+; Active this keyword if you whant that xquestion
+; check if managed widget are present. If not, xquestion do not
+; open a widget but print the question in the IDL window. 
+;
+; @keyword _EXTRA
+; Used to pass your keywords
+; 
+; @returns
+; answer: a string
+;
+; @restrictions
+; The function does not return to its caller until the user
+; press "Enter" key in the widget.
+;
+; @examples
+; IDL> help, xquestion('Postscript name')
+; <Expression>    STRING    = 'toto.ps'
+;
+; @history
+; Sebastien Masson (smasson@lodyc.jussieu.fr)
+;                      13/10/1999
+;
+; @version
+; $Id$
+;
+;-
+;------------------------------------------------------------
+;------------------------------------------------------------
+;------------------------------------------------------------
 FUNCTION xquestion, question, proposedanswer, CHKWIDGET = chkwidget, _extra = ex ;
 ;
Index: trunk/SRC/ToBeReviewed/WIDGET/xx.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/xx.pro	(revision 148)
+++ trunk/SRC/ToBeReviewed/WIDGET/xx.pro	(revision 150)
@@ -1,5 +1,52 @@
-
+;+
+; @file_comments
+;
+;
+; @categories
+;
+; 
+; @keyword JOUR
+; 
+; 
+; @keyword MESHFILENAME
+; 
+; 
+; @keyword LISTVAR
+; 
+; 
+; @keyword LISTGRID
+; 
+; 
+; @keyword FUNCLEC_NAME 
+; 
+; 
+; @keyword CALENDAR
+; 
+; 
+; @keyword _EXTRA
+; Used to pass your keywords
+; 
+; 
+; @uses
+; 
+; 
+; @restrictions
+; 
+; 
+; @examples
+; 
+; 
+; @history
+; 
+; 
+; @version 
+; $Id$
+;
+; @todo
+; seb documenter
+;
+;-
+;
 PRO xx,  JOUR = jour, MESHFILENAME = meshfilename,  LISTVAR = listvar, LISTGRID = listgrid, FUNCLEC_NAME = funclec_name, CALENDAR = calendar, _extra = ex
-;
 ;
   compile_opt idl2, strictarrsubs
@@ -8,13 +55,13 @@
 ;----------------------------------------------------------------------
 ;----------------------------------------------------------------------
-;  partie a changer
+;  Name of the part to be changed
 ;----------------------------------------------------------------------
 ;----------------------------------------------------------------------
-; nom de la fonction de lecture:
+; Name of the reading function
    if NOT keyword_set(funclec_name) then funclec_name = 'slec'
    varexp = 'INF'
-; liste des variables
+; list of variables
    if NOT keyword_set(listvar) then listvar = ['tn','sn','un','vn', 'taux', 'tauy','hdep20','hdep28','hdep15','hturb','hpycn','htoth','emp','qn','qs', 'smltot11', 'smltot12', 'smltot13', 'smltot14', 'smltot15', 'smltot16', 'tmltot11', 'tmltot12', 'tmltot13', 'tmltot14', 'tmltot15', 'tmltot16']
-; liste des grilles auxquelles elles se rapportent les variables
+; list of grids to which variables refer to.
    if NOT keyword_set(listgrid) then BEGIN 
       listgrid = replicate('T', n_elements(listvar))
@@ -22,12 +69,12 @@
       listgrid[[3, 5]] = 'V'
    ENDIF
-; calendrier a utiliser (en jours juliens d''IDL   
+; calendar to be used (in IDL julian days    
 ;++++    if NOT keyword_set(calendar) then BEGIN 
 ;++++       if keyword_set(jour) then calendar = calendriertotem(/julian_day) ELSE calendar = calendriertotem(/julian_day, /mensuel)
 ;++++    ENDIF
-; nom du fichier se rapportant au masque
+; Name of the file refering to the mask
    if NOT keyword_set(meshfilename) then meshfilename = '/usr1/com/smasson/IDL/INIT/inittotem.pro'
 ;++++   meshparameters = whichgrid(meshfilename)
-; parameteres specifiant comment doit etre lu le champ
+; parameters specifing how the field must be read
    readparameters= {funclec_name: funclec_name $
                     , jpidta: jpidta, jpjdta: jpjdta, jpkdta: jpkdta $
@@ -37,5 +84,5 @@
 ;----------------------------------------------------------------------
 ;----------------------------------------------------------------------
-;   fin de la partie a changer
+;   End of the part to be change
 ;----------------------------------------------------------------------
 ;----------------------------------------------------------------------
